# SimplyFire
A customizable analysis package for electrophysiologists

Read the full manual [here](https://simplyfire.readthedocs.io/).

## .exe Installation

Download the software zip file from the recent [release](https://github.com/HaghighiLabBuck/SimplyFire/releases).
You only need to download the zip file.

Extract the contents of the zip file, and locate SimplyFire.exe to run the software.

## Python Installation
If you have Python, you can install and run SimplyFire as a Python module. 

You can install SimplyFire from [PyPI](https://pypi.org/project/simplyfire/) using 
`pip` as follows:


```bash 
pip install simplyfire
```

Once installed, you can run SimplyFire from any directory: 

```bash
py -m simplyfire
```

SimplyFire is mainly a GUI-based software. 
However, the algorithms for analyses can be imported as packages and used in Python scripts. 

## Development

SimplyFire has been written to make electrophysiology analysis straightforward, automatable, and customizable.
Tools are provided to easily create custom plugins. 

Pull-requests for fixes and additions are welcome! 
Details on the development workflow will be available in the future. 

## License
SimplyFire is released under the GPLv3 or later license. 
